Bug 540293 - setroubleshoot recommendations don't escape spaces in path
Summary: setroubleshoot recommendations don't escape spaces in path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 00:02 UTC by Kai Willadsen
Modified: 2010-01-29 03:32 UTC (History)
3 users (show)

Fixed In Version: 2.2.60-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-29 03:32:55 UTC


Attachments (Terms of Use)

Description Kai Willadsen 2009-11-23 00:02:18 UTC
The command line workaround recommended by setroubleshoot is incorrect when the offending path contains spaces (see bug 537754).

An example recommended command line is:
 /usr/sbin/semanage fcontext -a -t execmem_exec_t "/opt/Aptana Studio 2.0/AptanaStudio"
which fails due to the spaces not being escaped.

Comment 1 Daniel Walsh 2009-11-23 16:28:58 UTC
Fixed in setroubleshoot-2.2.48-1

Comment 2 Fedora Update System 2010-01-21 00:04:18 UTC
setroubleshoot-2.2.58-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0815

Comment 3 Fedora Update System 2010-01-29 03:31:51 UTC
setroubleshoot-2.2.60-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.